classification
Title: Installation problem
Type: Stage: resolved
Components: Installation, Windows Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: camilleri.jon@gmail.com, iritkatriel, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2015-12-25 09:42 by camilleri.jon@gmail.com, last changed 2021-08-01 08:07 by camilleri.jon@gmail.com. This issue is now closed.

Files
File name Uploaded Description Edit
image.png camilleri.jon@gmail.com, 2015-12-25 09:42
image.png camilleri.jon@gmail.com, 2015-12-25 09:42
image.png camilleri.jon@gmail.com, 2015-12-25 09:42
Messages (7)
msg256980 - (view) Author: Jon Camilleri (camilleri.jon@gmail.com) Date: 2015-12-25 09:42
I want to install Python but it does not seem to be compatible with my
operating system is there a workaround, as this appears only to be a
pre-installation requirement?

I think that I have ran the service packs on my operating system in any
case, so I am quite confused to read the error, and previously I installed
python with no hitches.

I am trying to install Python 3.5.1 and I have restarted a few times.  I
also need a reliable IDE, do you think PyCharm
<https://www.jetbrains.com/pycharm/> is a good option?  Is there one that
is free?

Microsoft Windows [Version 6.0.6001]
Copyright (c) 2006 Microsoft Corporation.  All rights reserved.

[image: Inline images 1]
[image: Inline images 2]
[image: Inline images 3]

-- 
Jonathan Camilleri

Mobile (MT): ++356 7982 7113
E-mail: camilleri.jon@gmail.com
Please consider your environmental responsibility before printing this
e-mail.

I usually reply to emails within 2 business days.  If it's urgent, give me
a call.
msg256983 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-12-25 10:52
Is that Windows Server 2003? It's also not supported for Python 3.5, as Microsoft is no longer supporting it. You'll need to stick with Python 3.4 or get Server 2008 or later.
msg256985 - (view) Author: Jon Camilleri (camilleri.jon@gmail.com) Date: 2015-12-25 11:08
I use Server 2008, actually.

On 25 December 2015 at 11:52, Steve Dower <report@bugs.python.org> wrote:

>
> Steve Dower added the comment:
>
> Is that Windows Server 2003? It's also not supported for Python 3.5, as
> Microsoft is no longer supporting it. You'll need to stick with Python 3.4
> or get Server 2008 or later.
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue25947>
> _______________________________________
>

-- 
Jonathan Camilleri

Mobile (MT): ++356 7982 7113
E-mail: camilleri.jon@gmail.com
Please consider your environmental responsibility before printing this
e-mail.

I usually reply to emails within 2 business days.  If it's urgent, give me
a call.
msg257011 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-12-25 20:36
Might require R2 then, I haven't looked too closely at the Server requirements.

When I get a chance to check, I'll see if there's a bypass for the version test. The test is there because of a Windows package we need to install though, and I don't know how that relates to WS.
msg257018 - (view) Author: Jon Camilleri (camilleri.jon@gmail.com) Date: 2015-12-26 06:18
I am troubleshooting, to my mind I have installed all mandatory versions.
This is quite a queer windows version and as I said I am surprised that
this happened now as I had no issues before.

On 25 December 2015 at 21:36, Steve Dower <report@bugs.python.org> wrote:

>
> Steve Dower added the comment:
>
> Might require R2 then, I haven't looked too closely at the Server
> requirements.
>
> When I get a chance to check, I'll see if there's a bypass for the version
> test. The test is there because of a Windows package we need to install
> though, and I don't know how that relates to WS.
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue25947>
> _______________________________________
>

-- 
Jonathan Camilleri

Mobile (MT): ++356 7982 7113
E-mail: camilleri.jon@gmail.com
Please consider your environmental responsibility before printing this
e-mail.

I usually reply to emails within 2 business days.  If it's urgent, give me
a call.
msg396338 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-06-22 14:06
Version 3.5 is no longer supported. If you are having issues installing a current version (3.9+) please create a new issue.
msg398689 - (view) Author: Jon Camilleri (camilleri.jon@gmail.com) Date: 2021-08-01 08:07
this is your call, sorry.

On Tue, Jun 22, 2021 at 4:06 PM Irit Katriel <report@bugs.python.org> wrote:

>
> Irit Katriel <iritkatriel@gmail.com> added the comment:
>
> Version 3.5 is no longer supported. If you are having issues installing a
> current version (3.9+) please create a new issue.
>
> ----------
> nosy: +iritkatriel
> resolution:  -> out of date
> stage:  -> resolved
> status: open -> closed
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue25947>
> _______________________________________
>

-- 
Jonathan Camilleri

Mobile (MT): ++356 7982 7113
E-mail: camilleri.jon@gmail.com
Please consider your environmental responsibility before printing this
e-mail.

I usually reply to emails within 2 business days.  If it's urgent, give me
a call.
https://worldhappiness.report/
History
Date User Action Args
2021-08-01 08:07:17camilleri.jon@gmail.comsetmessages: + msg398689
2021-06-22 14:06:00iritkatrielsetstatus: open -> closed

nosy: + iritkatriel
messages: + msg396338

resolution: out of date
stage: resolved
2015-12-26 06:18:23camilleri.jon@gmail.comsetmessages: + msg257018
2015-12-25 20:36:24steve.dowersetmessages: + msg257011
2015-12-25 11:08:43camilleri.jon@gmail.comsetmessages: + msg256985
2015-12-25 10:52:51steve.dowersetmessages: + msg256983
2015-12-25 09:55:27SilentGhostsetnosy: + tim.golden, steve.dower, zach.ware, paul.moore

components: + Installation, Windows
versions: + Python 3.5
2015-12-25 09:42:50camilleri.jon@gmail.comcreate